Subject: bug#17055: 24.3.50; Emacs hangs in Org mode file

From: Sebastien Vauban <[email-masked]>
Date: Fri, 21 Mar 2014 14:58:19 +0100

Sebastien Vauban wrote:
> Today, 2 to 3 new infloops when editing in Org (but that's one of the
> two things I do: either be in Gnus, or in Org).
>
>   Org-mode version 8.2.5h (release_8.2.5h-818-g0de200)
>
> I did not have time to look at the first ones; I do for this one.
>
> $ gdb -p 9696
> ...
> [Thread 9696.0x1710 exited with code 0]
> [Thread 9696.0x23c4 exited with code 0]
> [Thread 9696.0x1e08 exited with code 0]
>
> The weird thing, here, is that my Bash terminal is stuck: I did not see
> more than 2 threads, and I don't have any GDB prompt yet. RET'ing does
> not change anything...
>
> Session still open (but no GDB prompt!).

Still no prompt but Emacs survived this infloop (not an infloop, then)
after I don't know how much time (but more than a couple of minutes).

BTW, it outputted the message "Emergency (alloc): Warning: past 95% of
memory limit".

Best regards,
  Seb

-- 
Sebastien Vauban